<template>
  <div class="home-page">
    <section v-if="featuredEvents" class="showcase-container">
      <EventShowcase :events="featuredEvents"/>
    </section>
    <hr v-if="featuredEvents && allEvents"/>
    <section v-if="allEvents" class="upcoming-events">
      <EventList :events="allEvents"/>
    </section>
    <Footer style="grid-row: 5; grid-column: 2"/>
  </div>
</template>

<script>
import axios from 'axios';
import EventShowcase from '../components/EventShowcase'
import EventList from '../components/EventList'
import Footer from '../components/Footer'
export default {
  name: 'Home',
  components: { Footer, EventShowcase, EventList },
  data: () => {
    return {
      featuredEvents: null,
      allEvents: null
    }
  },
  methods: {
    fetch_data() {
      let hostname = this.$hostname;
      axios.get(hostname + "/api/event_list/featured/").then((response) => {
        console.log(response)
        this.featuredEvents = response.data;
      }).catch((error) => {
        console.error(error);
      })
      axios.get(hostname + "/api/event/").then((response) => {
        this.allEvents = response.data;
        this.allEvents.sort((left, right) => {
          if (left.start < right.start) {
            return -1
          }
          if (left.start > right.start) {
            return 1
          }
          return 0;
        })
      }).catch((error) => {
        console.error(error);
      })
    }
  },
  created() {
    this.fetch_data();
  }
}
</script>

<style scoped>
@media (max-width: 720px) {
  .home-page {
    display: grid;
    grid-template-columns: 0 1fr 0;
    grid-template-rows: 45px 1fr 45px auto;
  }
}
.home-page {
  display: grid;
  grid-template-columns: 1fr 75vw 1fr;
  grid-template-rows: 45px 1fr 45px auto;
}

.showcase-container {
  grid-column: 2;
  grid-row: 2;
}

.upcoming-events {
  grid-column: 2;
  grid-row: 4;
  margin: 20px 0;
}

hr {
  grid-column: 2;
  grid-row: 3;
}
</style>
